<div class="card w-75">
  <%= render layout: "components/window_buttons" do %>
    <span class="text-secondary w-75 text-center font-monospace text-truncate">
      <% if flash[:errors] %>
        <%= "#{(flash[:errors].errors.messages[:start_date].first || flash[:errors].errors.messages[:end_date].first)}!" %>
      <% else %>
        Ready to search!
      <% end %>
    </span>
  <% end %>
  <hr class="m-0 pb-3">
  <div class="card-body px-3">
    <%= form_with url: "short-urls", method: "get", id: "short_url_report_form" do %>
      <div class="d-flex justify-content-around align-items-center">
        <div class="form-group">
          <input type="text" placeholder="Enter path..." name="filters[path]" class="form-control u text-secondary btn-sm" value="<%= @path %>">
        </div>
        <div class="hstack gap-3">
          <div class="form-group">
            <input type="date" name="filters[start_date]" class="form-control text-secondary <%= 'is-invalid' if flash[:errors] && flash[:errors].errors.messages[:start_date].first %>" value="<%= @start_date %>">
          </div>
          <span>to</span>
          <div class="form-group">
            <input type="date" name="filters[end_date]" class=" form-control text-secondary <%= 'is-invalid' if flash[:errors] && flash[:errors].errors.messages[:end_date].first %>" value="<%= @end_date %>">
          </div>
        </div>
        <div class="d-flex flex-row-reverse">
          <input type="submit" class="btn btn-outline-secondary" value="Search" form="short_url_report_form">
        </div>
      </div>
    <% end %>
    <div class="table-responsive pt-4 p-3">
      <table class="table text-center">
        <thead>
          <tr>
            <th scope="col">#</th>
            <th scope="col">Path</th>
            <!--<th scope="col">Target URL</th>-->
            <th scope="col">Latitude</th>
            <th scope="col">Longitude</th>
            <th scope="col">Timestamp</th>
          </tr>
        </thead>
        <tbody class="table">
          <% if !@pagy.nil? %>
            <% if @pagy.count > 0 %>
              <% @records.each.with_index(1) do |record, index| %>
                <tr>
                  <th scope="row"><%= index + @pagy.offset %></th>
                  <td><%= record.path %></td>
                  <td><%= record.latitude ? record.latitude : "-" %></td>
                  <td><%= record.longitude ? record.longitude : "-" %></td>
                  <td><%= record.created_at %></td>
                </tr>
              <% end %>
            <% else %>
              <tr>
                <td colspan="5" class="text-center" style="height: 800px">
                  <div class="d-flex flex-column h-100 justify-content-center align-items-center">
                    No records found!
                  </div>
                </td>
              </tr>
            <% end %>
          <% end %>
        </tbody>
      </table>
    </div>
    <div class="d-flex justify-content-between pt-3">
      <div>
      </div>
      <div>
        <% if !@pagy.nil? %>
          <%== pagy_bootstrap_nav(@pagy) %>
        <% end %>
      </div>
      <div>
      </div>
    </div>
  </div>
</div>
